summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAllen Byrne <byrn@hdfgroup.org>2012-07-23 15:58:30 (GMT)
committerAllen Byrne <byrn@hdfgroup.org>2012-07-23 15:58:30 (GMT)
commitab072288ad0876d21dec7fcae78869a1477ddb39 (patch)
tree3327628d9d1461e7c8cd5b507ac40f7ca7aca23d
parent9e08a0d8c5fd8da07cf80cd979f0d0eb1469aa97 (diff)
downloadhdf5-ab072288ad0876d21dec7fcae78869a1477ddb39.zip
hdf5-ab072288ad0876d21dec7fcae78869a1477ddb39.tar.gz
hdf5-ab072288ad0876d21dec7fcae78869a1477ddb39.tar.bz2
[svn-r22598] BE machines have a different offset in STORAGE_LAYOUT then the LE machines.
Use h5diff with -r to not report warnings. Tested: local with CMake and ostrich with shell script
-rw-r--r--tools/h5import/CMakeLists.txt1
-rwxr-xr-xtools/h5import/h5importtestutil.sh24
2 files changed, 24 insertions, 1 deletions
diff --git a/tools/h5import/CMakeLists.txt b/tools/h5import/CMakeLists.txt
index 352ba14..5bbcf02 100644
--- a/tools/h5import/CMakeLists.txt
+++ b/tools/h5import/CMakeLists.txt
@@ -249,6 +249,7 @@ IF (BUILD_TESTING)
-D "TEST_FOLDER=${PROJECT_BINARY_DIR}"
-D "TEST_OUTPUT=d${testfile}.dff"
-D "TEST_EXPECT=0"
+ -D "TEST_FILTER=(^(Warning)[^\n]*)"
-D "TEST_REFERENCE=testfiles/d${testfile}.txt"
-P "${HDF5_RESOURCES_DIR}/runTest.cmake"
)
diff --git a/tools/h5import/h5importtestutil.sh b/tools/h5import/h5importtestutil.sh
index 86db229..5be3118 100755
--- a/tools/h5import/h5importtestutil.sh
+++ b/tools/h5import/h5importtestutil.sh
@@ -202,6 +202,28 @@ else
fi
}
+# Same as TOOLTEST3 except for h5diff uses report mode without warnings
+# Use h5dump output as input to h5import for strings
+# Use h5diff to verify results
+TOOLTEST4()
+{
+err=0
+$RUNSERIAL ../h5dump/h5dump -p -d $1 -o d$2.bin -y --width=1 tmp_testfiles/$2 > d$2.dmp
+$RUNSERIAL ./h5import d$2.bin -c d$2.dmp -o d$2 > d$2.imp
+$RUNSERIAL ../h5diff/h5diff -r d$2 tmp_testfiles/$2 $1 $1 > log2
+$CP -f $SRC_H5IMPORT_TESTFILES/d$2.txt log1
+
+
+cmp -s log1 log2 || err=1
+rm -f log1 log2
+if [ $err -eq 1 ]; then
+nerrors="` expr $nerrors + 1 `";
+ echo "*FAILED*"
+else
+ echo " PASSED"
+fi
+}
+
echo ""
echo "=============================="
echo "H5IMPORT tests started"
@@ -284,7 +306,7 @@ TOOLTEST2 "/int/buin/32-bit" binuin32.h5
TESTING "STR"
TOOLTEST $TESTDIR/txtstr.txt -c $TESTDIR/txtstr.conf -o txtstr.h5
TESTING "H5DUMP-STR"
-TOOLTEST3 "/mytext/data" txtstr.h5
+TOOLTEST43 "/mytext/data" txtstr.h5
TESTING "BINARY I8 CR LF EOF"